Page MenuHomePhabricator

Spike: Group multiple marks into one (marker cluster)
Closed, ResolvedPublic

Description

Group multiple marks into one when marks are too close together to be shown legibly. See example.

Details

Related Gerrit Patches:

Event Timeline

Yurik created this task.Mar 9 2016, 5:59 PM
Restricted Application added a project: Discovery. · View Herald TranscriptMar 9 2016, 5:59 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Yurik moved this task from Unsorted to UI tasks on the Maps (Kartographer) board.Mar 10 2016, 12:53 AM
JGirault claimed this task.Apr 15 2016, 6:13 PM

Change 283742 had a related patch set uploaded (by JGirault):
Add Leaflet.MarkerCluster plugin to group multiple marks into one.

https://gerrit.wikimedia.org/r/283742

The current patch is using Leaflet.MarkerCluster plugin.

Meanwhile, I made a prototype for Wikivoyage that is using a different plugin: the PruneCluster plugin.

According to their repository, PruneCluster plugin seems to be much more performant than the MarkerCluster plugin:

PruneCluster is a fast and realtime marker clustering library.
It's working with Leaflet as an alternative to Leaflet.markercluster.
The library is designed for large datasets or live situations. The memory consumption is kept low and the library is fast on mobile devices, thanks to a new algorithm inspired by collision detection in physical engines.

Moving forward, I plan to do a little benchmarking myself, do a feature comparison, pick a solution, and then made a final proposal with the solution we picked.

JGirault renamed this task from Group multiple marks into one to Group multiple marks into one (marker cluster).May 17 2016, 8:44 PM
JGirault closed this task as Resolved.Jun 30 2016, 8:15 AM

To match Wikivoyage functionality, and based on announced performance, we decided to go with prunecluster (at least for now). I am resolving this spike, and, for reference, here are the following tasks:

T136453: Add a resource to load the marker cluster plugin
T136454: Wikivoyage prototype should load the marker cluster resource
T136455: Decide if and when <maplink> and <mapframe> shoud load the marker cluster resource

JGirault renamed this task from Group multiple marks into one (marker cluster) to Spike: Group multiple marks into one (marker cluster).Jun 30 2016, 8:15 AM

Change 283742 abandoned by JGirault:
Add Leaflet.MarkerCluster plugin to group multiple marks into one.

Reason:
Replaced by https://gerrit.wikimedia.org/r/#/c/296692/

https://gerrit.wikimedia.org/r/283742